Loading...
Searching...
No Matches
pcl_cuda::MEstimatorSampleConsensus< Storage > Class Template Reference

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/msac.h>`

Inheritance diagram for pcl_cuda::MEstimatorSampleConsensus< Storage >:

## Public Member Functions

| MEstimatorSampleConsensus (const SampleConsensusModelPtr &model)
| MEstimatorSampleConsensus main constructor.
| MEstimatorSampleConsensus (const SampleConsensusModelPtr &model, float threshold)
| RANSAC (RAndom SAmple Consensus) main constructor.
bool | computeModel (int debug_verbosity_level=0)
| Compute the actual model and find the inliers.

## Detailed Description

template<template< typename > class Storage>
class pcl_cuda::MEstimatorSampleConsensus< Storage >

Definition at line 47 of file msac.h.

## Constructor & Destructor Documentation

## MEstimatorSampleConsensus() [1/2]

template<template< typename > class Storage>

pcl_cuda::MEstimatorSampleConsensus< Storage >::MEstimatorSampleConsensus | ( | const SampleConsensusModelPtr & | model | ) |

inline

MEstimatorSampleConsensus main constructor.

Parameters

  model | a Sample Consensus model

Definition at line 68 of file msac.h.

## MEstimatorSampleConsensus() [2/2]

template<template< typename > class Storage>

pcl_cuda::MEstimatorSampleConsensus< Storage >::MEstimatorSampleConsensus | ( | const SampleConsensusModelPtr & | model,
|  | float | threshold
| ) |  |

inline

RANSAC (RAndom SAmple Consensus) main constructor.

Parameters

  model | a Sample Consensus model
  threshold | distance to model threshold

Definition at line 79 of file msac.h.

## Member Function Documentation

## computeModel()

template<template< typename > class Storage>

bool pcl_cuda::MEstimatorSampleConsensus< Storage >::computeModel | ( | int | debug_verbosity_level = `0` | ) |

Compute the actual model and find the inliers.

Parameters

  debug_verbosity_level | enable/disable on-screen debug information and set the verbosity level

The documentation for this class was generated from the following file:

- /build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/cuda/sample_consensus/include/pcl/cuda/sample_consensus/msac.h